> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# allMids

> Native Hyperliquid `/info` operation. Returns the mid prices for all coins. Accepts an optional `dex` to scope a HIP-3 builder-deployed perp DEX.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#55
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#55:
    post:
      tags:
        - Hyperliquid
      summary: allMids
      description: >-
        Native Hyperliquid `/info` operation. Returns the mid prices for all
        coins. Accepts an optional `dex` to scope a HIP-3 builder-deployed perp
        DEX.
      operationId: allMids_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HyperliquidInfo_allMids_Request'
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HyperliquidInfo_allMids_Response'
components:
  schemas:
    HyperliquidInfo_allMids_Request:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - allMids
          default: allMids
          example: allMids
        dex:
          type: string
          description: The perpetual DEX name.
          example: xyz
      example:
        type: allMids
    HyperliquidInfo_allMids_Response:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````